from flask import Flask, request, render_template, redirect, url_for, session

front = Flask(__name__)

front.secret_key = '\x85F\xad \xef9\x19Z2\xb6\xd1\x8bx\xc7\xa1|\xb6\xe8\x8e)\xf6\xb7\xdbi'

@front.route('/')
def index():
    return render_template('index.html', base={})

@front.route('/help')
def help():
    return render_template("help.html", base={'page': "Pomoc"})

@front.route('/profile')
@front.route('/profile/<nick>')
def profile(nick = None):
    base = {}

    if nick != None:
        base['user'] = nick
    return render_template("index.html", base=base)

@front.route('/login', methods=["GET", "POST"])
def login():
    if request.method == "POST":
        # logjemy
        pass
    else:
        # logowanie nie udane
        pass
    return redirect(url_for("index"))

@front.route('/logout')
def logout():
    session.pop('nick', None)
    return redirect(url_for("index"))

if __name__ == '__main__':
    front.run(port=5000, debug=True, host="0.0.0.0")